###
### "THE BEER-WARE LICENSE":
### Alberto Ramos wrote this file. As long as you retain this 
### notice you can do whatever you want with this stuff. If we meet some 
### day, and you think this stuff is worth it, you can buy me a beer in 
### return. <alberto.ramos@cern.ch>
###
### file:    BayesianInference.jl
### created: Mon Nov 22 11:00:47 2021
###                               

module BayesianInference

import Random, Printf, ReverseDiff

include("Models.jl")
export Model, ModelSeries, ModelPade, ModelNN, nparameters

include("DataTypes.jl")
export BIData, Prior, GaussPrior

include("Inference.jl")
export IntrScheme, omf2, omf4, leapfrog
export WorkSpace
export logpost, force!, MD!, HMC!, relax!


end # module
